Debian Bug report logs - #539146
piuparts: debconf-english false negative

version graph

Package: piuparts; Maintainer for piuparts is piuparts developers team <piuparts-devel@lists.alioth.debian.org>; Source for piuparts is src:piuparts.

Reported by: Colin Watson <cjwatson@debian.org>

Date: Wed, 29 Jul 2009 12:00:02 UTC

Severity: normal

Found in version piuparts/0.35

Fixed in version piuparts/0.39

Done: Holger Levsen <holger@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, piuparts developers team <piuparts-devel@lists.alioth.debian.org>:
Bug#539146; Package piuparts. (Wed, 29 Jul 2009 12:00:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
New Bug report received and forwarded. Copy sent to piuparts developers team <piuparts-devel@lists.alioth.debian.org>. (Wed, 29 Jul 2009 12:00:13 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: submit@bugs.debian.org
Subject: piuparts: debconf-english false negative
Date: Wed, 29 Jul 2009 12:56:44 +0100
Package: piuparts
Version: 0.35
Severity: normal

This failure log looks like a piuparts bug:

  http://piuparts.debian.org/sid/fail/debconf-english_1.5.27.log

It seems that installing debconf-english causes debconf-i18n to be
removed, but piuparts doesn't then realise that it needs to put
debconf-i18n back in order to remove debconf-english later.

Thanks,

-- 
Colin Watson                                       [cjwatson@debian.org]




Information forwarded to debian-bugs-dist@lists.debian.org, piuparts developers team <piuparts-devel@lists.alioth.debian.org>:
Bug#539146; Package piuparts. (Tue, 08 Dec 2009 16:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Patrick Schoenfeld <schoenfeld@debian.org>:
Extra info received and forwarded to list. Copy sent to piuparts developers team <piuparts-devel@lists.alioth.debian.org>. (Tue, 08 Dec 2009 16:30:03 GMT) Full text and rfc822 format available.

Message #10 received at 539146@bugs.debian.org (full text, mbox):

From: Patrick Schoenfeld <schoenfeld@debian.org>
To: 539146@bugs.debian.org
Subject: Re: piuparts: debconf-english false negative
Date: Tue, 8 Dec 2009 17:28:55 +0100
Hi,

FWIW: I had a quick look at the new log [1] and can confirm
that this seems to be a false-positive. Indeed the removing
fails, because debconf depends on debconf-i18n | debconf-english
and removing debconf-english will not install debconf-i18n again.

I don't really have a good idea how to fix this.
Would a apt-get -f install after the first tried remove suffice?
Should piuparts be more aware of depends? Should the selection derived
from creating the chroot be restored?

More answers as questions...

Best Regards,
Patrick

[1] http://piuparts.debian.org/sid/fail/debconf-english_1.5.28.log




Information forwarded to debian-bugs-dist@lists.debian.org, piuparts developers team <piuparts-devel@lists.alioth.debian.org>:
Bug#539146; Package piuparts. (Sun, 28 Nov 2010 00:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to piuparts developers team <piuparts-devel@lists.alioth.debian.org>. (Sun, 28 Nov 2010 00:27:07 GMT) Full text and rfc822 format available.

Message #15 received at 539146@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 539146@bugs.debian.org, control@bugs.debian.org
Subject: fixed with new custom script: pre remove
Date: Sun, 28 Nov 2010 01:25:34 +0100
[Message part 1 (text/plain, inline)]
tags 539146 + pending
thanks

Hi,

I've just added a new custom script to piuparts, pre_remove_ and put it into 
use on piuparts.d.o to install debconf-i18n before removing 
debconf-english :-)

This makes debconf-english the 7th package getting special treatment out of 
30k tested ones.

See svn r829


cheers,
	Holger
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Sun, 28 Nov 2010 00:27:08 GMT) Full text and rfc822 format available.

Reply sent to Holger Levsen <holger@debian.org>:
You have taken responsibility. (Tue, 04 Jan 2011 13:33:08 GMT) Full text and rfc822 format available.

Notification sent to Colin Watson <cjwatson@debian.org>:
Bug acknowledged by developer. (Tue, 04 Jan 2011 13:33:08 GMT) Full text and rfc822 format available.

Message #22 received at 539146-close@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@debian.org>
To: 539146-close@bugs.debian.org
Subject: Bug#539146: fixed in piuparts 0.39
Date: Tue, 04 Jan 2011 13:32:06 +0000
Source: piuparts
Source-Version: 0.39

We believe that the bug you reported is fixed in the latest version of
piuparts, which is due to be installed in the Debian FTP archive:

piuparts_0.39.dsc
  to main/p/piuparts/piuparts_0.39.dsc
piuparts_0.39.tar.gz
  to main/p/piuparts/piuparts_0.39.tar.gz
piuparts_0.39_all.deb
  to main/p/piuparts/piuparts_0.39_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 539146@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Holger Levsen <holger@debian.org> (supplier of updated piuparts package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 04 Jan 2011 14:12:30 +0100
Source: piuparts
Binary: piuparts
Architecture: source all
Version: 0.39
Distribution: unstable
Urgency: low
Maintainer: piuparts developers team <piuparts-devel@lists.alioth.debian.org>
Changed-By: Holger Levsen <holger@debian.org>
Description: 
 piuparts   - .deb package installation, upgrading, and removal testing tool
Closes: 526046 539146 560050 566597 566599 566672 567190 573904 574504 574936 576321 586443 586793 591966 594964 602409 603453 605127 605475
Changes: 
 piuparts (0.39) unstable; urgency=low
 .
   [ Holger Levsen ]
   * The vintage of 2010 release!
   * piuparts-report.py:
      - report packages which failed
        - due to broken maintainer scripts,
        - due to output from cron after removal,
        - due to not enough force being,
        - due to a problem with pre-depends,
        - due to files having been modified after purge,
        - due to files having disappeared after purge and
        - due to problems configuring a database.
      - only report about (un)owned files and directories and symlink issues in
        sid - that's hardcoded as it's not practical to track them anywhere else
        anyway. And at least for broken symlinks this will also stay like this
        for a long time.
      - visual improvements in the output.
      - ignore udebs and binaries from other archs too.
      - graph is generated using all the available data points.
   * piupartslib/packagesdb.py:
     - automatically break circular dependencies when there are only circular
       dependencies left, using a configurable list of circular depdencies in
       piuparts.conf (Closes: #526046)
         The list of circular depends is taken from a script written by Robert
       Lemmen available at http://debian.semistable.com/debgraph.out.html -
       obviously it would be better to merge this into piuparts directly.
         Note that the dependency resovler is still buggy, the state
       waiting-for-dependency-to-be-tested still contains some packages
       with failed depends (due to them being dependent on packages with
       circular depends). This bug has no effect other than that (so the state
       waiting-to-be-tested is calculated correctly). This bug is also no
       regression.
     - get rid of the longtime unused states "fixed" and "fix-not-yet-tested"
       (also in piuparts-master and piuparts-report).
     - forget reservations of untestable packages.
   * piuparts-slave.py:
     - fix crash when going into sleep when idle.
     - add support for only doing upgrade tests (without the basic test in the
       upgrade target distro).
     - honor mirror configuration option also for upgrade-tests.
     - also do upgrade tests if the version of a package being tested (the one
       in the upgraded distro) is not available in the distro being upgraded
       from. (This is a very short test, but a successfully one.)
     - make configuration setting "distro" to not default to any distro.
   * piuparts.py:
     - new option: --log-level to specify the verbosity of piuparts
       output. Thanks to Fabrice Coutadeur for the patch! (Closes: #567190)
     - new option: --warn-on-leftovers-after-purge to not fail if a package
       leaves files behind after purge. (Closes: #566599)
     - add to self.ignored_files:
       - /var/lib/apt/lists/partial/.delete-me-later
       - /var/log/alternatives.log (Closes: #591966)
       - /var/log/apt/history.log (Closes: #594964)
       - /usr/share/fonts/X11/misc/fonts.alias (Closes: #576321)
     - add to self.ignored_patterns:
       - /etc/init.d/.depend.*
       - /var/mail(/.*)? - this used to be just /var/mail/.*
       - /var/lib//update-rc.d(/.*)? (Closes: #605127)
     - create temporary DEBIAN directory for the piuparts-depends-dummy package
       with 0755 perms regardless of the umask of the calling shell.
       (Closes: #573904)
     - fix --do-not-verify-signatures option (Closes: #574936) - thanks to
       Cleto Martin Angelina for the patch.
     - make Chroot.diff_meta_data() special case and ignore files matching
       (/etc/rc.\.d/)[SK][0-9]{2}(.*)$ so that piuparts doesn't complain about
       initscripts renamed by insserv. Thanks to by Andreas Beckmann for the
       patch! (Closes: #586793)
     - remove logrotate and depended packages after the test. (Closes: #602409)
       This is a fix for the incomplete patch for #566597. Again, this is a
       hardcoded list. :-(
     - new custom script: pre_remove_ (Closes: #539146)
     - set environment variable PIUPARTS_OBJECTS in custom scripts to a space
       separated list of packages / changes files being tested.
     - do not call apt-get with --no-remove when installing packages.
       (Closes: #603453)
     - apply patch by Andres Mejia to fix parsing of the --force-confdef option
       and also to configure apt to use that option. Thanks, Andres.
       (Closes: #605475)
     - don't panic if package is not known by apt-get, this probably just means
       a package not yet in the archive is being tested. (Closes: #566672)
       Thanks to Cleto Martin Angelina for the patch!
     - fix parsing of the options --end-meta and --save-end-meta.
     - supply help texts for --end-meta and --save-end-meta options, also add
       comments to install_and_upgrade_between_distros() to make the code
       easier to understand and hopefully improve in future. (Closes: #560050).
     - add logging to install_and_upgrade_between_distros() to point people to
       read the functions source code if they wonder why the log (for distro
       upgrade tests) looks like it looks.
   * piuparts.1.txt:
     - update the pointer to custom-scripts.txt to point to README.txt, as
       those two files have been merged. Thanks to Gregor Hermann for
       spotting this. (Closes: #574504)
     - indicate that it's possible to check several packages or .changes files
       at once.
     - update several options descritpions.
   * README.txt
     - better documentation of custom scripts.
     - reformat to achieve consistent width.
   * Add ${misc:Depends} to Depends in debian/control.
   * Remove versioned dependencies on debootstrap as the version available
     in Etch is sufficient. Drop build-depends on dpkg-dev as it's in
     build-essential.
   * Build-depend on debhelper>=7 and use dh_prep instead of dh_clean -k, bump
     compat level to 7.
   * Bump Standards-Version to 3.9.1, no changes necessary.
   * Remove Ian Jackson from uploaders - thanks for your work, Ian!
   * Makefile: support python 2.5 and 2.6 instead of 2.4 and 2.5, adjust
     debian/control accordingly.
   * debian/preinst: update code snipplet rm_conffile() from
     http://wiki.debian.org/DpkgConffileHandling
 .
   [ Evgeni Golov ]
   * piuparts.py:
     - Check for remaining logrotate files which produce output after the
       package was removed. (Closes: #566597)
 .
   [ John Wright ]
   * Use debian module when available, else debian_bundle module.
     (Closes: #586443)
   * Use built-in set type, available since python-2.4.
Checksums-Sha1: 
 3c3ad00dd7addfaf40f218eb1ec93210ea74b095 958 piuparts_0.39.dsc
 5211856496fd9cd2658d981d446d51195888e2df 89592 piuparts_0.39.tar.gz
 c1398adc45bfdee899ce2eb53d7d62820bedda5f 89058 piuparts_0.39_all.deb
Checksums-Sha256: 
 6d8fa026c3b78d3ce3ad9d73541bdc037da8c19dbce9876e36c9635eb2f44478 958 piuparts_0.39.dsc
 48236ad5597920eaf3ddda94837017ef81b1fca0325a675f96e2e747dc452e7d 89592 piuparts_0.39.tar.gz
 91c108e7894ca839bcecb7b02bf33a2e591b4d42d4d151ce3fdf9996849c658a 89058 piuparts_0.39_all.deb
Files: 
 dd7e3bfca6a78a537d3b3b9dd712a88e 958 devel extra piuparts_0.39.dsc
 ea307563f91e61fcb290c34e659180b4 89592 devel extra piuparts_0.39.tar.gz
 c78f819525585192c86e6ef464e927c6 89058 devel extra piuparts_0.39_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFNIx7OUHLQNqxYNSARAkQzAKDLwuruQfaidyvB27YZUimxAvfPDwCggnqc
3pBYfUI+lwCYZex4CnaOQUU=
=vMrp
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 09:00:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 06:44:42 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.